 /* Small Navbar style */
 .navbar-small {
    background-color: #000;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
  }
  
  .navbar-left-small {
    display: flex;
    align-items: center;
  }
  
  .navbar-right-small {
    display: flex;
    align-items: center;
  }
  
  .navbar-text-small {
    margin-right: 20px;
    color: #fff;
    text-decoration: none;
  }
  
  .navbar-icon {
    margin-right: 10px;
    color: #fff;
    font-size: 20px;
    text-decoration: none;
  }
  
  .navbar-button-small {
    background-color: #ff6600;
    color: #fff;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    margin-left: 10px;
    text-decoration: none;
  }
  
  /* Responsive styles */
  @media only screen and (max-width: 768px) {
    .navbar-small {
      flex-wrap: wrap;
    }
  
    .navbar-left-small {
      order: 2;
      margin-bottom: 10px;
      width: 100%;
    }
  
    .navbar-right-small {
      order: 1;
      width: 100%;
    }
  
    .navbar-text-small {
      margin: 0 10px 0 0;
    }
  
    .navbar-button-small {
      margin-left: auto;
    }
  }
  




  /* Login Pop-up */
  .popup{
    width: 400px;
    border-radius: 6px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    visibility: hidden;
    transition: trasform 0.4s, top 0.4s;
    z-index: 9999;
  }
  /* Signup popup */
.signupPopup{
    width: 400px;
    border-radius: 6px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    visibility: hidden;
    transition: trasform 0.4s, top 0.4s;
    z-index: 9999;
  }
  .open-popup{
    visibility: visible;
    top: 50%;
    transform: translate(-50%, -50%) scale(1);
  }
  .login-page {
    width: 360px;
    padding: 8% 0 0;
    margin: auto;
  }
  .login-page .form .login{
    margin-top: -31px;
  margin-bottom: 26px;
  }
  .form {
    position: relative;
    z-index: 1;
    background: #FFFFFF;
    max-width: 360px;
    margin: 0 auto 100px;
    padding: 45px;
    text-align: center;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2), 0 5px 5px 0 rgba(0, 0, 0, 0.24);
  }
  .form input {
    font-family: "Roboto", sans-serif;
    outline: 0;
    background: #f2f2f2;
    width: 100%;
    border: 0;
    margin: 0 0 15px;
    padding: 15px;
    box-sizing: border-box;
    font-size: 14px;
  }
  .form button {
    font-family: "Roboto", sans-serif;
    text-transform: uppercase;
    outline: 0;
    background-color: #328f8a;
    width: 100%;
    border: 0;
    padding: 15px;
    color: #FFFFFF;
    font-size: 14px;
    -webkit-transition: all 0.3 ease;
    transition: all 0.3 ease;
    cursor: pointer;
  }
  .form .message {
    margin: 15px 0 0;
    color: #b3b3b3;
    font-size: 12px;
  }
  .form .message a {
    color: #4CAF50;
    text-decoration: none;
  }


  
  .big-container{
    background-color: #fff;
    opacity: 1;
    z-index: 10;
 }






/* Navigation Bar Styles */
/* second Navbar */
.navbar input[type="checkbox"],
.navbar .hamburger-lines{
    display: none;
}

.container{
    max-width: 1200px;
    width: 90%;
    margin: auto;
}

.navbar{
    box-shadow: 0px 5px 10px 0px #aaa;
    width: 100%;
    background: #fff;
    color: #000;
    opacity: 1;
    z-index: 100;
}

.navbar-container{
    display: flex;
    justify-content: center;
    height: 64px;
    align-items: center;
}

.menu-items{
    order: 2;
    display: flex;
}
.logo{
    order: 1;
    font-size: 2.3rem;
}

.menu-items li{
    list-style: none;
    margin-left: 1.5rem;
    font-size: 1.3rem;
}

.navbar a{
    color: #444;
    text-decoration: none;
    font-weight: 500;
    transition: color 0.3s ease-in-out;
}

.navbar a:hover{
    color: #117964;
}

@media (max-width: 768px){
    .navbar{
        opacity: 0.95;
    }

    .navbar-container input[type="checkbox"],
    .navbar-container .hamburger-lines{
        display: block;
    }

    .navbar-container{
        display: block;
        position: relative;
        height: 64px;
    }

    .navbar-container input[type="checkbox"]{
        position: absolute;
        display: block;
        height: 32px;
        width: 30px;
        top: 20px;
        left: 20px;
        z-index: 5;
        opacity: 0;
        cursor: pointer;
    }

    .navbar-container .hamburger-lines{
        display: block;
        height: 28px;
        width: 35px;
        position: absolute;
        top: 20px;
        left: 20px;
        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .navbar-container .hamburger-lines .line{
        display: block;
        height: 4px;
        width: 100%;
        border-radius: 10px;
        background: #333;
    }
    
    .navbar-container .hamburger-lines .line1{
        transform-origin: 0% 0%;
        transition: transform 0.3s ease-in-out;
    }

    .navbar-container .hamburger-lines .line2{
        transition: transform 0.2s ease-in-out;
    }

    .navbar-container .hamburger-lines .line3{
        transform-origin: 0% 100%;
        transition: transform 0.3s ease-in-out;
    }

    .navbar .menu-items{
        padding-top: 100px;
        background: #fff;
        height: 100vh;
        max-width: 300px;
        transform: translate(-150%);
        display: flex;
        flex-direction: column;
        margin-left: -40px;
        padding-left: 40px;
        transition: transform 0.5s ease-in-out;
        box-shadow:  5px 0px 10px 0px #aaa;
        overflow: scroll;
    }

    .navbar .menu-items li{
        margin-bottom: 1.8rem;
        font-size: 1.1rem;
        font-weight: 500;
    }

    .logo{
        position: absolute;
        top: 10px;
        right: 15px;
        font-size: 2.5rem;
    }

    .navbar-container input[type="checkbox"]:checked ~ .menu-items{
        transform: translateX(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line1{
        transform: rotate(45deg);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line2{
        transform: scaleY(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line3{
        transform: rotate(-45deg);
    }

}

@media (max-width: 500px){
    .navbar-container input[type="checkbox"]:checked ~ .logo{
        display: none;
    }
}




.box {
    background-color: #f8f8f8;
    padding: 80px 180px 0px 180px;
    margin: 0;
    box-sizing: border-box;
    width: 100%;

}

.box-content {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.box-text {
    flex-basis: calc(60% - 30px);
    /* subtract 30px from 60% to account for margin */
    max-width: 600px;
}

.box-text h2 {
    font-size: 36px;
    font-weight: bold;
    color: #333333;
    margin-bottom: 20px;
}

.box-text p {
    font-size: 18px;
    color: #666666;
    line-height: 1.6;
    margin-bottom: 30px;
}

.button {
    display: inline-block;
    padding: 12px 32px;
    background-color: #ff6600;
    color: #ffffff;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: none;
    border-radius: 50px;
    transition: background-color 0.3s ease;
}

.button:hover {
    background-color: #e65c00;
}

.box-image {
    flex-basis: calc(40% - 30px);
    /* subtract 30px from 40% to account for margin */
    max-width: 500px;
}

.box-image img {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: 10px;
}

@media screen and (max-width: 768px) {
    .box-content {
        flex-direction: column;
    }

    .box-text,
    .box-image {
        flex-basis: 100%;
        max-width: 100%;
        margin-bottom: 30px;
    }
}

/* navbar2styles */

.navbar2{
    background-color: #000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
  }
  
  .navbar-left {
    display: flex;
    align-items: center;
  }
  
  .dropdown-btn {
    background-color: transparent;
    border: none;
    color: #fff;
    cursor: pointer;
    font-size: 16px;
    margin-right: 10px;
  }
  
  .dropdown-content {
    background-color: #000;
    display: none;
    position: absolute;
    z-index: 1;
  }
  
  .dropdown-content a {
    color: #fff;
    display: block;
    font-size: 16px;
    padding: 10px;
    text-decoration: none;
  }
  
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
  .navbar-center {
    display: flex;
    justify-content: center;
  }
  
  .navbar-center a {
    color: #fff;
    font-size: 16px;
    margin: 0 10px;
    text-decoration: none;
  }
  
  .navbar-right{
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
  .search-container {
    display: flex;
    align-items: center;
    padding-right: 1rem;
  }
  
  .search-icon {
    padding-right: 50px ;
    background-color: #ff6600;
    border-radius: 0%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    color: #fff;
  }
  
  .search[type="text"] {
    background-color: #eee;
    border: none;
    border-radius: 0px;
    font-size: 16px;
    padding: 5px;
  }
  
  .cart-container {
    display: flex;
    align-items: center;
  }
  
  .cart-icon {
    background-color: #ff6600;
    border-radius: 0%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
  }
  
  .cart-icon i {
    color: #fff;
  }
  
  .cart-total {
    background-color: #eee;
    border-radius: 0px;
    color: #fff;
    font-size: 16px;
    padding: 5px;
    text-align: center;
    width: 50px;
    color: #ff6600;
  }


.popular-now {
    margin-top: 50px;
    text-align: center;
}

.popular-now-heading {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}

.popular-now-links {
    display: flex;
    justify-content: center;
}

.popular-now-link {
    color: #333;
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    margin: 0 20px;
    padding-bottom: 5px;
    border-bottom: 2px solid transparent;
    transition: border-bottom-color 0.2s ease-in-out;
}

.popular-now-link:hover {
    color: #ff6600;
    border-bottom-color: #ff6600;
}


.product-cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 50px;
}

.product-card {
    width: 280px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin: 0 20px 40px;
    text-align: center;
}

.product-card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.product-title {
    margin-top: 20px;
    font-size: 20px;
    font-weight: bold;
}

.product-price {
    margin-top: 10px;
    font-size: 16px;
    font-weight: bold;
    color: #ff6600;
}

@media screen and (max-width: 768px) {
    .product-card {
        width: 45%;
    }
}

@media screen and (max-width: 480px) {
    .product-card {
        width: 90%;
    }
}


.all-collection {
    background-color: #ffffff;
    border: 1px solid #000000;
    color: #000000;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

.all-collection:hover {
    background-color: #000000;
    color: #ffffff;
}

.new-product {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}




.horizontal-block {
    background-color: #000000;
    color: #ffffff;
    text-align: center;
    padding: 30px 0;
}

.heading {
    color: #ff6600;
    font-size: 32px;
    margin: 0;
}

.subheading {
    font-size: 45px;
    margin: 0;
}






.newsletter-bar {
    background-color: #f1f1f1;
    padding: 10px;
}

.newsletter-flex {
    display: flex;
    justify-content: center;
    align-items: center;

}

.newsletter-bar h3 {
    margin-right: 10px;
    font-size: 1rem;
}

.newsletter-bar input[type="email"] {
    font-size: 1rem;
    padding: 10px;
    border-radius: 4px;
    border: none;
    width: 50%;
    display: block;
    text-align: center;
    margin-right: 10px;

}

.newsletter-bar button {
    font-size: 1rem;
    padding: 10px;
    border-radius: 4px;
    border: none;
    background-color: black;
    color: white;
}

.box-2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    padding: 20px;
}

.box-2-left {
    flex: 1;
}

.box-2-left h2 {
    color: #ff6600;
}

.box-2-right {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box-2 h2 {
    font-size: 24px;
    margin-bottom: 10px;
}

.box-2 p {
    font-size: 18px;
    line-height: 1.5;
}

.box-2 button {
    background-color: #fff;
    color: #000;
    border-color: #000;
    border-radius: 5px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    border-color: #ff6600;
    margin-right: 1px;
}

@media screen and (max-width: 768px) {
    .box-2 {
        flex-direction: column;
    }

    .box-2-left,
    .box-2-right {
        flex: 1;
    }
}



.row {
    background-color: #eeeeec;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .row {
        flex-direction: column;
    }
}

.col {
    flex-basis: calc(50% - 10px);
}

.img-responsive {
    width: 100%;
    height: 100%;
}

.heading-row {
    color: black;
    font-size: 28px;
    font-weight: bold;
    margin-bottom: 30px;
}

.btn-row {
    display: block;
    width: 100%;
    max-width: 200px;
    height: 40px;
    margin-bottom: 10px;
    border: 5px solid #ff6600;
    color: #ff6600;
    font-size: 25px;
    font-weight: 600;
    background-color: transparent;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-bottom: 30px;

}

.btn-row:hover {
    background-color: #ff6600;
    color: #fff;
}

.paragraph {
    font-size: 18px;
    line-height: 1.5;
    margin-bottom: 30px;
}

.contact-btn {
    display: block;
    width: 100%;
    max-width: 200px;
    height: 40px;
    border-color: #ff6600;
    color: #000;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact-btn:hover {
    background-color: #e65c00;
}






/* Footer styles */

footer {
    background-color: black;
    color: white;
    padding: 50px 0;
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
}

.footer-row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    grid-gap: 20px;
}

.footer-column {
    padding: 0 10px;
    margin-bottom: 20px;
}

.footer-column h4 {
    margin-bottom: 10px;
}

.footer-column ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.footer-column ul li {
    margin-bottom: 5px;
}

.footer-column ul li a {
    color: white;
    text-decoration: none;
}

.bordered-text {
    display: inline-block;
    padding: 5px 10px;
    border: 2px solid #ff6600;
    text-align: center;
    margin: 10px 0;
}

/* Footer Social Media Icons */
.footer-social-media {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.footer-social-media a {
    margin: 0 10px;
}

.footer-social-media i {
    font-size: 24px;
    color: white;
}
